6.0.0-git
2019-03-20

[#12365] timeobjects not listet when checking for new versions
Summary timeobjects not listet when checking for new versions
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester michael (at) bigmichi1 (dot) de
Created 2013-06-17 (2102 days ago)
Due
Updated 2013-06-19 (2100 days ago)
Assigned 2013-06-18 (2101 days ago)
Resolved 2013-06-19 (2100 days ago)
Milestone
Patch No

History
2013-06-19 09:30:21 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2013-06-19 09:29:59 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 4b48a536a32d4139ecde56aa774c15a9d43033ae
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jun 19 11:27:06 2013 +0200

     Make sure that timeobjects show up in the configuration screen.

     We already had an empty conf.php there, but that wasn't bundled 
because it's on
     the blacklist. Add a placeholder in config/ instead.

     Bug: 12365

  timeobjects/config/conf.php |    4 ----
  timeobjects/docs/CHANGES    |    1 +
  timeobjects/package.xml     |   20 +++++++++++++++++---
  3 files changed, 18 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/4b48a536a32d4139ecde56aa774c15a9d43033ae
2013-06-19 06:23:12 michael (at) bigmichi1 (dot) de Comment #7 Reply to this comment
i did a little debugging and the problem is really simple explained, 
the timeobjects doesn't contain a config directory so that it is 
skipped in admin/config/index.php (it is in $a array)
and the other checks simply checks if it is in the $a array and if it 
is skipped in all other checks

if i create a config directory in the timeobjects directory the module 
is now listed
2013-06-18 20:22:51 Jan Schneider Comment #6
State ⇒ Not A Bug
Reply to this comment
You don't have timeobjects correctly installed. Wild guess: you 
installed it with a different user, and thus a different PEAR 
configuration, than your other Horde packages.
2013-06-18 17:36:46 michael (at) bigmichi1 (dot) de Comment #5
New Attachment: configuration_after_entering.pdf Download
Reply to this comment
this screenshot is before checking versions
2013-06-18 15:00:16 Jan Schneider Comment #4 Reply to this comment
Does it show up *before* checking for new versions?
2013-06-18 12:49:25 michael (at) bigmichi1 (dot) de Comment #3
New Attachment: configuration_screen.pdf Download
Reply to this comment
command line (pear list -c pear.horde.org) shows:

INSTALLED PACKAGES, CHANNEL PEAR.HORDE.ORG:
===========================================
PACKAGE                    VERSION STATE
Horde_ActiveSync           2.5.0   stable
Horde_Alarm                2.0.4   stable
Horde_Argv                 2.0.7   stable
Horde_Auth                 2.0.4   stable
Horde_Autoloader           2.0.1   stable
Horde_Autoloader_Cache     2.0.3   stable
Horde_Browser              2.0.3   stable
Horde_Cache                2.2.0   stable
Horde_Cli                  2.0.3   stable
Horde_Compress             2.0.3   stable
Horde_Compress_Fast        1.0.1   stable
Horde_Constraint           2.0.1   stable
Horde_Controller           2.0.1   stable
Horde_Core                 2.6.0   stable
Horde_Crypt                2.2.0   stable
Horde_Crypt_Blowfish       1.0.2   stable
Horde_Css_Parser           1.0.0   stable
Horde_Data                 2.0.4   stable
Horde_Date                 2.0.6   stable
Horde_Date_Parser          2.0.2   stable
Horde_Dav                  1.0.0   stable
Horde_Db                   2.0.3   stable
Horde_Editor               2.0.3   stable
Horde_Exception            2.0.3   stable
Horde_Form                 2.0.4   stable
Horde_Group                2.0.2   stable
Horde_HashTable            1.0.0   stable
Horde_History              2.0.2   stable
Horde_Http                 2.0.3   stable
Horde_Icalendar            2.0.5   stable
Horde_Image                2.0.4   stable
Horde_Imap_Client          2.11.5  stable
Horde_Injector             2.0.1   stable
Horde_Itip                 2.0.5   stable
Horde_ListHeaders          1.0.1   stable
Horde_Lock                 2.1.0   stable
Horde_Log                  2.0.1   stable
Horde_LoginTasks           2.0.2   stable
Horde_Mail                 2.0.5   stable
Horde_Memcache             2.0.2   stable
Horde_Mime                 2.2.1   stable
Horde_Mime_Viewer          2.0.5   stable
Horde_Mongo                1.0.1   stable
Horde_Nls                  2.0.3   stable
Horde_Notification         2.0.1   stable
Horde_Oauth                2.0.1   stable
Horde_Pdf                  2.0.3   stable
Horde_Perms                2.1.0   stable
Horde_Prefs                2.4.1   stable
Horde_Queue                1.0.0   stable
Horde_Rdo                  2.0.2   stable
Horde_Role                 1.0.1   stable
Horde_Routes               2.0.2   stable
Horde_Rpc                  2.1.0   stable
Horde_Secret               2.0.2   stable
Horde_Serialize            2.0.2   stable
Horde_Service_Facebook     2.0.4   stable
Horde_Service_Twitter      2.1.0   stable
Horde_Service_UrlShortener 2.0.1   stable
Horde_Service_Weather      2.0.5   stable
Horde_SessionHandler       2.2.0   stable
Horde_Share                2.0.3   stable
Horde_SpellChecker         2.1.0   stable
Horde_Stream               1.2.0   stable
Horde_Stream_Filter        2.0.1   stable
Horde_Stream_Wrapper       2.0.1   stable
Horde_Support              2.1.0   stable
Horde_Template             2.0.1   stable
Horde_Text_Diff            2.0.2   stable
Horde_Text_Filter          2.1.3   stable
Horde_Text_Filter_Csstidy  2.0.1   stable
Horde_Text_Flowed          2.0.1   stable
Horde_Timezone             1.0.3   stable
Horde_Token                2.0.4   stable
Horde_Translation          2.0.1   stable
Horde_Tree                 2.0.2   stable
Horde_Url                  2.2.0   stable
Horde_Util                 2.2.2   stable
Horde_Vfs                  2.1.0   stable
Horde_View                 2.0.2   stable
Horde_Xml_Element          2.0.1   stable
content                    2.0.2   stable
gollem                     3.0.1   stable
horde                      5.1.0   stable
imp                        6.1.1   stable
ingo                       3.1.1   stable
kronolith                  4.1.0   stable
mnemo                      4.1.0   stable
nag                        4.1.0   stable
timeobjects                2.0.3   stable
trean                      1.0.2   stable
turba                      4.1.0   stable


attached is the list from inside horde after checking for new versions
2013-06-18 11:38:58 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Cannot reproduce. When checking for newer versions, all modules get a 
result in the version check column, including timeobjects.
2013-06-17 06:58:50 michael (at) bigmichi1 (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ timeobjects not listet when checking for new versions
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
the new feature that checks all horde packages for new versions 
doesn't see and check the timeobjects package only the content package 
is seen (perhaps it has something to do with the empty name)

"" (timeobjects)
"" (content)

Saved Queries